/Users/bernard/b20/bsoft/src/rwimg/rwASCII.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwASCII.cpp - Functions for reading and writing ASCII files.

SYNOPSIS

#include 'rwASCII.h'
#include 'Complex.h'
#include 'linked_list.h'
#include 'utilities.h'
#include <fstream>

  Functions
int readASCII (Bimage *p, int readdata)
Reading an ASCII or text image format.
int writeASCII (Bimage *p)
Writing an ASCII or text image format.

  Variables
int verbose

Detailed Description

Functions for reading and writing ASCII files.

Author:
    Bernard Heymann

Date:
    Created: 20000318

    Modified: 20120211

Definition in file rwASCII.cpp.

Function Documentation

  int readASCII (Bimage * p, int readdata)

Reading an ASCII or text image format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

This function reads an ASCII image file with up to five dimensions in the order: c (channels), x, y, z, n (number of images) Default data type is Float Data is given as real (R) or complex (R and I or A and P), and may include an optional FOM (F) Column labels: Images: C X Y Z N R I F Structure factors: H K L A P R I F

Definition at line 34 of file rwASCII.cpp.

  int writeASCII (Bimage * p)

Writing an ASCII or text image format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

This function writes an ascii image file with up to five dimensions in the order: c (channels), x, y, z, n (number of images) Default data type is Float Data is given as real (R) or complex (R and I or A and P), and may include an optional FOM (F) Column labels: Images: C X Y Z N R I F Structure factors: H K L A P R I F

Definition at line 279 of file rwASCII.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.